Overview
GET
/gamification/realms/{ecosystemId}/event-typesgamificationList a realm’s custom event types (owner or admin)
Fetch a record from event-types by ecosystemId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- ecosystemIdpathstring
Responses
200
Realm custom event types
- idstring
- ecosystemIdstring
- namestring
The custom event_type key
- statKeystring
The gamification stat this event bumps
- createdAtoptionalstring
- updatedAtoptionalstring
Example
[
{
"id": "string",
"ecosystemId": "string",
"name": "string",
"statKey": "string",
"createdAt": "string",
"updatedAt": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/gamification/realms/{ecosystemId}/event-types" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/gamification/realms/{ecosystemId}/event-types", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();